/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

@import '../../../../../node_modules/@angular/material/theming';

@mixin election-page-properties-model-list-component-theme($theme) {
  $primary: map-get($theme, primary);

  election-page-properties-model-list {
    $border-radius: 10px;

    .models {
      display: flex;
      justify-content: flex-start;
      flex-wrap: wrap;

    }

    .model.no-button .model-name {
      border-radius: $border-radius;
    }

    .model {
      display: flex;
      flex-basis: 15em;
      margin: 1em 1em 0;
      height: 2em;

      .model-name {
        flex-grow: 1;
        padding-left: $border-radius;
        padding-right: $border-radius;
        font-size: 0.9em;
        overflow: hidden;

        border-top-left-radius: $border-radius;
        border-bottom-left-radius: $border-radius;
        background-color: mat-color($primary, 100);
        transition: all 0.2s;
        cursor: pointer;

      }

      .model-name:hover {
        background-color: mat-color($primary, 200);
      }

      .model-delete {
        border-top-right-radius: $border-radius;
        border-bottom-right-radius: $border-radius;
        background-color: mat-color($primary, 300);
        flex-basis: 1em;
        color: white;
        line-height: 1em;
        padding: 5px;
        cursor: pointer;
        transition: all 0.2s;
      }

      .model-delete:hover {
        transition: all 0.5s;
        background-color: mat-color($primary, 600);;
      }
    }
  }

}
